<?php

namespace ReloadifyScoped\Doctrine\DBAL\Event\Listeners;

use ReloadifyScoped\Doctrine\Common\EventSubscriber;
use ReloadifyScoped\Doctrine\DBAL\Event\ConnectionEventArgs;
use ReloadifyScoped\Doctrine\DBAL\Events;
/**
 * Session init listener for executing a single SQL statement right after a connection is opened.
 */
class SQLSessionInit implements EventSubscriber
{
    /** @var string */
    protected $sql;
    /**
     * @param string $sql
     */
    public function __construct($sql)
    {
        $this->sql = $sql;
    }
    /**
     * @return void
     */
    public function postConnect(ConnectionEventArgs $args)
    {
        $conn = $args->getConnection();
        $conn->exec($this->sql);
    }
    /**
     * {@inheritdoc}
     */
    public function getSubscribedEvents()
    {
        return [Events::postConnect];
    }
}
